# Uses of Interface
org.eclipse.gef.layout.ILayoutFilter

Packages that use ILayoutFilter
Package
Description
org.eclipse.gef.layout
This package provides an interface-based facade to exchange layout information with layout algorithms (within this package), concrete implementations of layout algorithms ( `org.eclipse.gef.layout.algorithms`).

## Uses of ILayoutFilter in org.eclipse.gef.layout

Methods in org.eclipse.gef.layout with parameters of type ILayoutFilter
Modifier and Type
Method
Description
`void`
LayoutContext.`addLayoutFilter(ILayoutFilter layoutFilter)`
Adds the given ILayoutFilter to this `LayoutContext`.
`void`
LayoutContext.`removeLayoutFilter(ILayoutFilter layoutFilter)`
Removes the given ILayoutFilter from this `LayoutContext`.